<div style="margin-left: 12vw;">
  <app-navbar icon="fa fa-lock" text="Login"></app-navbar>
  <form [formGroup]="loginForm">
    <div class="form-group row">
      <label for="email" class="col-sm-1 col-form-label">Email:</label>
      <div class="col-sm-4">
        <input type="email" class="form-control" id="email" (keydown.enter)="login()" formControlName="email"
          placeholder="&#xf0e0; &nbsp;&nbsp; Email">
      </div>
    </div>
    <div class="form-group row">
      <label for="inputPassword" class="col-sm-1 col-form-label">Password:</label>
      <div class="col-sm-4">
        <input type="password" class="form-control" id="inputPassword" (keydown.enter)="login()"
          formControlName="password" placeholder="&#xf023; &nbsp;&nbsp; Password">
      </div>
    </div>
    <div class="form-group row">
      <div class="col">
        <button type="button" (click)="login()" class="btn" [ngClass]="buttons.login.cssClasses"
          [disabled]="this.loginForm.invalid || isProcessing">{{buttons.login.btnText}}</button>
      </div>
    </div>
  </form>
</div>
